Skip to main content
GET
Get borrow offer by ID

Authorizations

Authorization
string
header
default:criffy_live_your_api_key_here
required

Bearer API key for authenticated /api/v1/* access.

Path Parameters

id
integer
required

Numeric offer identifier.

Response

Borrow offer.

id
integer
required
compositeKey
string
required
platform
object | null
required
chain
object | null
required
asset
object
required
platform_type
string
required
term_days
integer | null
required
borrow_apy
string | null
required

Borrow APY percentage serialized as a decimal string.

supply_apy
string | null
required

Supply APY percentage serialized as a decimal string.

net_borrow_apy
string
required

Net borrow APY percentage serialized as a decimal string.

real_net_borrow_apy
string
required

Criffy-normalized net borrow APY percentage serialized as a decimal string.

total_supply_usd
string | null
required
total_borrow_usd
string | null
required
available_liquidity_usd
string | null
required
is_active
boolean
required

Runtime activity status for the borrow offer. Published offers can be returned when this is false.

synced_at
string<date-time>
required
updated_at
string<date-time>
required